#include <avr/io.h>
#include <avr/interrupt.h>

int int_counter;

ISR(TIMER1_OVF_vect)
{
	
	int_counter++;
	if (int_counter==50) 
	{
		int_counter=0;
		PORTD ^= 1<<PD4;PORTA ^= 1<<PA0;
	}
	TCNT1 = 64911; /* Timer value 10msec */
}

int main(void)
{
	cli(); /* disable interrupt */
	MCUCR = 0x00;
	MCUCR = 0x01; /* IVCE = 1 */
	MCUCR = 0x00; /* IVSEL = 0 */
	DDRD = 0xF0; /* PORT PD4~PD7 output mode */
	DDRA = 1 <<PA0;

	TCCR1A = 0x00;
	TCCR1B = (1 << CS12); /* clk / 256 */
	TCCR1C = 0x00;
	TIFR = 0x00;
	ETIFR = 0x00;
	TCNT1 = 64911; /* Timer value 10msec */
	TIMSK = 1 << TOIE1; /* enable Timer1 interrupt */
	ETIMSK = 0x00;
	sei(); /* enable interrupt */
	PORTD = 0xF0;
	int_counter=0;
	while(1);
}
